Subject: Re: bug#61325: 30.0.50; Jokes in GNUS manual

From: Ihor Radchenko <[email-masked]>
Date: Fri, 17 Feb 2023 12:38:21 +0000

Po Lu <[email-masked]> writes:

>> This sounds like a technical information being encoded into the joke. I
>> did not get this information while reading because I did not understand
>> the joke. 
>
> Maybe you need to spend some time on the Usenet?

Why would I? For me, Gnus is first and foremost an email/rss reader. I
am not interested in Usenet. I use scoring for reading rss feeds, not
Usenet.

>> I only found the following, but there is no explanation what kill files mean:
>>
>>     8.13 Kill Files
>>     ===============
>>     
>>     Gnus still supports those pesky old kill files.  In fact, the kill file
>>     entries can now be expiring, which is something I wrote before Daniel
>>     Quinlan thought of doing score files, so I’ve left the code in there.
> ...
>    Normal kill files look like this:
>
>      (gnus-kill "From" "Lars Ingebrigtsen")
>      (gnus-kill "Subject" "ding")
>      (gnus-expunge "X")
>
>    This will mark every article written by me as read, and remove the
> marked articles from the summary buffer.  Very useful, you’ll agree.
> ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>
> Did you read this section or not?

I did but I still don't understand what "kill file" means.
Is it for marking articles read? Deleting articles from summary buffer?
Something else?

The text before the paragraph you underlined is saying that kill files
are like hooks, which makes things even more confusing. Why not making
it a simple hook then?

Then, the manual says that  "Other programs use a totally different kill
file syntax". So, Gnus kill files are different from normal? What about
"Gnus still supports those pesky old kill files"? There is no
explanation what "pesky old kill files" mean despite multiple references
where I am supposed to know this a-priori.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>